import React, { useState } from 'react';

function StrengthChecker(props) {
    const [strength, setStrength] = useState("weak");
    const [password, setPassword] = useState("");
    const handleChange = ({ target }) => {
        setPassword(target.value);
        let score = 0;
        if (password.length >= 6) {
            score += 1;
        }
        if ((password.match(/[A-Z]/g) || []).length >= 1) {
            score += 1;
        }
        if ((password.match(/[0-9]/g) || []).length >= 1) {
            score += 1;
        }
        switch (score) {
            case 1: setStrength("weak");
                break;
            case 2: setStrength("medium");
                break;
            case 3: setStrength("strong");
                break;
            default:
                setStrength("");

        }
    }
    return <>
        <div style={{
            display: 'flex', flexDirection: 'column', alignItems: 'center', justifyContent: 'center',
            height: '100vh', width: '100vw'
        }}>
            <label>Please type in a new Password</label>
            <input type="password" value={password} onChange={handleChange} />
            <span>Password Strength</span>
            <span className={strength}>{strength.toUpperCase()}</span>
            <ul>
                <li>Atleast 6 characters in length</li>
                <li>Atleast one Capital letter</li>
                <li>Atleast on numeric character</li>
            </ul>
        </div>
    </>
}

export default StrengthChecker;